Bug 631898 - Review Request: fatrat - Feature-rich download manager
Summary: Review Request: fatrat - Feature-rich download manager
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Kaluža
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-08 15:42 UTC by Jan Vcelak
Modified: 2013-03-04 01:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-27 11:39:07 UTC
jkaluza: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jan Vcelak 2010-09-08 15:42:40 UTC
Spec URL: http://jvcelak.fedorapeople.org/fatrat/fatrat.spec
SRPM URL: http://jvcelak.fedorapeople.org/fatrat/fatrat-1.1.2-1.fc15.src.rpm

rawhide builds (x86_64, i686):
http://jvcelak.fedorapeople.org/fatrat/dist-rawhide

scratch builds:
dist-rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=2455153
dist-f14: http://koji.fedoraproject.org/koji/taskinfo?taskID=2455214

upstream URL:
http://fatrat.dolezel.info

Description:

FatRat is download manager written in C++ and build on top of the Qt4 library.
It is rich in features and is continuously extended. Main characteristics:

- HTTP(S)/FTP downloads
- FTP uploads
- RSS feed support + special functions for TV shows and podcasts
- BitTorrent support (including torrent creating, DHT, UPnP, encryption etc.)
- Torrent search
- Support for SOCKS5 and HTTP proxies
- RapidShare.com FREE downloads
- RapidShare.com uploads
- RapidShare.com link verification and folder extraction
- RapidSafe link decoding
- MD4/MD5/SHA1 hash computing
- Remote control via Jabber
- Remote control via a web interface

Upstream provides 3 plugins:
- opensubtitles (packaged as subpackage)
- czshare (packaged as subpackage)
- unpack (not packaged due to bad license)

Comment 1 Jan Kaluža 2010-09-22 13:55:18 UTC
If you don't plan to have Fatrat in EPEL5 and below, you do not need to define "BuildRoot:..." anymore, rpmbuild will use a sane one automatically (since F-10).
You also do not need to clean the buildroot manually at the beginning of %install (since F-10).
http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

> $ rpmlint fatrat-1.1.2-1.fc15.src.rpm 
> fatrat.src: W: spelling-error %description -l en_US podcasts -> podcast, pod casts, pod-casts
> 1 packages and 0 specfiles checked; 0 errors, 1 warnings.

> $ rpmlint fatrat*
> fatrat.x86_64: W: spelling-error %description -l en_US podcasts -> podcast, pod casts, pod-casts
> fatrat-czshare.x86_64: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
> fatrat-czshare.x86_64: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
> fatrat-devel.x86_64: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
> fatrat-devel.x86_64: W: no-documentation
> fatrat-opensubtitles.x86_64: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
> fatrat-opensubtitles.x86_64: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
> 5 packages and 0 specfiles checked; 0 errors, 7 warnings.

No real problem here.

Formal review according to Review Guidelines:
Explanation:
[ok] .... the package meets the guideline item
[--] .... the guideline item is not relevant for this package
[ERR] ... the package fails to meet the guideline and must be fixed.
====================

[ok] rpmlint must be run on every package.
[ok] named according to the Package Naming Guidelines.
[ok] The spec file name must match the base package %{name}
[ok] License must be Fedora approved; Licensing Guidelines.
[ok] The License field in the package spec file must match the actual license.
[ok] license file must packaged in %doc.
[ok] spec file in American English.

rpmlint shows some warnings, but I think they are tollerable.

[ok] spec legible.
[ok] sources must match the upstream source
[ok] must compile and build.
[--] ExcludeArch if it does not.
[ok] complete and sensible BuildRequires
[--] handling of locales
[--] ldconfig for dynamic libs
[ok] Packages must NOT bundle copies of system libraries.
[--] rules for relocatable packages
[ok] directory ownership
[ok] no duplicate listing in %files
[ok] sane permissions; %defattr(...)
[ok] consistent macro usage
[ok] code or permissable content
[ok] large doc
[ok] header files
[--] static libs
[--] .so in -devel
[ok] devel requires base package
[--] remove .la files
[ERR] GUI app must include a %{name}.desktop and use desktop-file-install

> $desktop-file-validate fatrat.desktop 
> fatrat.desktop: warning: value "Application;Network;" for key "Categories" in group "Desktop Entry" contains a deprecated value "Application"
> fatrat.desktop: warning: value "fatrat.png" for key "Icon" in group "Desktop Entry" is an icon name with an extension, but there should be no extension as described in the Icon Theme Specification if the value is not an absolute path

I'm not sure if that's real problem, but it would be fine to have it fixed.

[ok] no owning of other packages' files/dirs
[ok] UTF-8 filenames


Formal review according to Packaging Guidelines:

[ok] naming
[ok] version and release
[ok] Licensing
[ok] no inclusion of pre-built binaries or libraries
[ok] spec legibility
[ok] arch support
[ok] filesystem layout
[ok] changelogs
[ok] tags
[ok] BuildRoot
[ok] Requires
[ok] BuildRequires
[ok] summary and description
[ok] encoding
[ok] compiler flags
[ok] debuginfo
[ok] devel packages
[ok] no duplication of system libraries
[ok] no rpath
[ok] config files
[--] initscripts
[ok] desktop files
[ERR] Icon tag in Desktop Files

mentioned above

[ok] macros (inconsistent usage, as already noted)
[--] handling locale files
[ok] timestamps
[ok] parallel make
[--] scriptlets
[--] conditional deps
[--] relocatable packages
[ok] code vs content
[ok] file and dir ownership
[--] users and groups
[ok] web apps
[ok] no conflicts
[ok] no kernel modules
[ok] nothing in /srv
[ok] no bundling
[ok] no fonts bundling
[--] epoch
[ok] symlinks
[ok] man pages

Comment 2 Jan Vcelak 2010-09-23 11:30:45 UTC
(In reply to comment #1)
> If you don't plan to have Fatrat in EPEL5 and below, you do not need to define
> "BuildRoot:..." anymore, rpmbuild will use a sane one automatically (since
> F-10).
> You also do not need to clean the buildroot manually at the beginning of
> %install (since F-10).
> http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
> 

I don't think this is critical. And I would rather leave both things there (BuildRoot and clean), if someone wanted to build it for older Fedora or EPEL. In addition, removing these will emit new rpmlint warnings.

> [ERR] GUI app must include a %{name}.desktop and use desktop-file-install
> 
> > $desktop-file-validate fatrat.desktop 
> > fatrat.desktop: warning: value "Application;Network;" for key "Categories" in group "Desktop Entry" contains a deprecated value "Application"
> > fatrat.desktop: warning: value "fatrat.png" for key "Icon" in group "Desktop Entry" is an icon name with an extension, but there should be no extension as described in the Icon Theme Specification if the value is not an absolute path
> 
> I'm not sure if that's real problem, but it would be fine to have it fixed.
> 

This is being fixed during %install. See the lines under "update desktop file" comment. The binary package contains valid desktop file.

(I'm using sed to fix it, as desktop-file-install can't handle that.)

> [ERR] Icon tag in Desktop Files
> 
> mentioned above
> 

Above as well. ;-)

Comment 3 Jan Kaluža 2010-09-23 11:48:10 UTC
You're right. I think it's OK then.

Consider the package APPROVED.

Comment 4 Jan Vcelak 2010-09-23 12:13:59 UTC
New Package SCM Request
=======================
Package Name: fatrat
Short Description: Feature-rich download manager
Owners: jvcelak
Branches: f13 f14
InitialCC:

Comment 5 Kevin Fenzi 2010-09-25 04:59:50 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2010-09-27 11:29:37 UTC
fatrat-1.1.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fatrat-1.1.2-1.fc13

Comment 7 Fedora Update System 2010-09-27 11:31:08 UTC
fatrat-1.1.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fatrat-1.1.2-1.fc14

Comment 8 Fedora Update System 2010-09-29 10:51:02 UTC
fatrat-1.1.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fatrat-1.1.3-1.fc13

Comment 9 Fedora Update System 2010-09-29 10:52:13 UTC
fatrat-1.1.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fatrat-1.1.3-1.fc14

Comment 10 Fedora Update System 2010-10-08 20:38:43 UTC
fatrat-1.1.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-10-09 03:31:36 UTC
fatrat-1.1.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.